/*
 * Copyright (C) 2003 Andrea Bergia <andreabergia@yahoo.it>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License , or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, write to
 *
 *   The Free Software Foundation, Inc.
 *   59 Temple Place, Suite 330
 *   Boston, MA 02111, USA.
 */

#ifndef KDEVPART_TODOLIST_H
#define KDEVPART_TODOLIST_H


#include <qguardedptr.h>
#include <kdevelop/kdevplugin.h>


class TodoListWidget;

/**
 * This class is a Gideon plugin. It adds, in the output views, a tab named
 * TODO, which shows things the user marked with TODO or @todo in the project
 * in a list view (similar to the Problem or the Grep parts). A double click
 * on a item open it in the editor
 *
 * @author Andrea Bergia <andreabergia@yahoo.it>
 * @version 0.1
*/
class TodoListPart : public KDevPlugin
{
    Q_OBJECT

public:   
    TodoListPart( QObject *parent, const char *name, const QStringList & );
    ~TodoListPart();

  
private:    
    QGuardedPtr<TodoListWidget> m_widget;
};


#endif
